Update agent trigger security settings
Update agent trigger security configuration and access controls
Authentication: required
PUT
/
workspace
/
{workspace_id}
/
agent
/
trigger
/
{trigger_id}
/
security
Update agent trigger security settings
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/agent/trigger/{trigger_id}/security \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"guid": "<string>",
"include_xanoscript": true
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/agent/trigger/{trigger_id}/security"
payload = {
"guid": "<string>",
"include_xanoscript": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({guid: '<string>', include_xanoscript: true})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/agent/trigger/{trigger_id}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "Agent Trigger",
"description": "My agent trigger test description",
"guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
"branch": "v1",
"tag": [
"example tag"
],
"actions": {
"connection": true
},
"xanoscript": {
"value": "<string>",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success!
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related topics
Update MCP server trigger security settingsUpdate workspace trigger security settingsUpdate realtime trigger security settingsWas this page helpful?
⌘I
Update agent trigger security settings
